Subject: Re: More on 'setup' fails and breaks pre-existing Cygwin installation: "The Rational Rose Files"
From: "Christopher M. Balz" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2004 22:38:45 -0800

I didn't suspect Rational Rose since I've run Cygwin fine when it was my 
previous Cygwin installation and when Rose had already been installed.  
Apparently however, from your comments, it looks as if the MKS system 
makes breaks the Cygwin installation.  Is there a way (or a place I 
could look to find out) where I could protect the path that Cygwin uses?

Thank you so much for your help.

 - Chris

Dave Korn wrote:

>> -----Original Message-----
>> From: cygwin-owner On Behalf Of Igor Pechtchanski
>> Sent: 22 March 2004 13:39
>>   
>
>> On Sun, 21 Mar 2004, Christopher M. Balz wrote:
>>   
>
>>> I did run
>>>
>>> "c:\cygwin\bin\bash --norc"
>>>
>>> After a couple minutes the command prompt gave me:
>>>
>>>    C:\WINNT\SYSTEM32>c:\cygwin\bin\bash --norc
>>>    bash-2.05b$
>>>
>>> This command prompt cannot find any commands ('ls' is 'not found').
>>>     
>>
>> Please re-read the message below.  It says that "you'll need to 
>> explicitly prepend "/bin:/usr/bin:/usr/X11R6/bin" to your PATH before 
>> you'll be able to run any commands".
>>   
>
>
>  I notice also that there are already directories in Christopher's  path
> called 'bin', 'x11', and 'mksnt'.  [ Light bulbs should be appearing 
> in the
> air above heads about now, upon seeing the dreaded letters 'm', 'k' 
> and 's'
> in that particular order..... ]
>
>  This last one in particular makes me wonder if the Rational tools you 
> have
> installed maybe include or are based around the Mortice Kern Systems Unix
> toolset.  It's a well-known problem that if you try and run cygwin while
> having MKS tools in the $PATH they can sometimes clash.  I'd want to 
> start a
> dos command shell, then remove all the crud and set a minimal $PATH, 
> and try
> again: something like this at the command prompt might work...
>
> ---snip---
> cd C:\cygwin
> PATH C:\WinNT\system32;C:\WinNT;C:\WinNT\system32\Wbem
> bash --login -i
> ---snip---
>
>  
>
>> Hmm...  I suspect that it takes this long to determine the hostname 
>> of your machine.
>>   
>
>
>  Did you notice that it's the same as his $LOGONSERVER?  It shouldn't 
> take
> that long to look up a hostname when you're logged on directly at the
> keyboard of the domain controller.
>
>  But of all the environment variables, I think this is the one that's 
> doing
> the most damage:
>
> ---snip from cygcheck.out---
> SHELL = `C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\mksnt\sh.exe'
> ---snip---
>
>  Ouch.  So everytime Cygwin bash tries to fork a subprocess, it 
> launches it
> using MKS sh.  No wonder it loses!
>
> ---snip from cygcheck.out---
> TERM = `nutc'
> ---snip---
>
>  Wouldn't have thought cygwin would make much sense of that either. 
>
>
>    cheers,      DaveK
>  
>

-- 
*Contact Info:*
Christopher M. Balz
Senior Software Engineer
/TreeLogic Software Engineering <http://treelogic-swe.com>/
160 Lincoln Avenue
Palo Alto, CA 94301-2437 U.S.A.
650.327.0367
[email-masked] <mailto:[email-masked]>
[email-masked] 
<mailto:[email-masked]>
[email-masked] <mailto:[email-masked]>
------------------------------------------------------------------------
". . . / This Cabinet is formd of Gold / And Pearl & Crystal shining bright
And within it opens into a World / . . .
Another England there I saw / Another London with its Tower
Another Thames & other Hills / And another pleasant Surrey Bower
. . ."
- from /The Crystal Cabinet <http://www.bartleby.com/236/59.html>/, a 
poem by *William Blake <http://www.art4net.com/EXPObl.html>* 
(18th-century English poet) where Blake rues England's rule.

-- 
*Contact Info:*
Christopher M. Balz
Senior Software Engineer
/TreeLogic Software Engineering <http://treelogic-swe.com>/
160 Lincoln Avenue
Palo Alto, CA 94301-2437 U.S.A.
650.327.0367
[email-masked] <mailto:[email-masked]>
[email-masked] 
<mailto:[email-masked]>
[email-masked] <mailto:[email-masked]>
------------------------------------------------------------------------
". . . / This Cabinet is formd of Gold / And Pearl & Crystal shining bright
And within it opens into a World / . . .
Another England there I saw / Another London with its Tower
Another Thames & other Hills / And another pleasant Surrey Bower
. . ."
- from /The Crystal Cabinet <http://www.bartleby.com/236/59.html>/, a 
poem by *William Blake <http://www.art4net.com/EXPObl.html>* 
(18th-century English poet) where Blake rues England's rule.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/